<!doctype html>
<html lang="es">


<head>
	<meta charset="UTF-8">
	<title>Ejemplo1 Clases</title>
	<style>
		#header-wrapper {
			background-color: purple;
			width: 200px;
			height: 200px;
		}
	</style>
</head>


<body>
	<div id="header-wrapper" onclick="encender()">

	</div>
	
	<script>
		let animal = {
			eats: true
		};

		function Rabbit(name)
		{
			this.name = name;
		}

		Rabbit.prototype = animal;

		let rabbit = new Rabbit("White Rabbit"); // rabbit.__proto__ == animal

		// alert(rabbit.eats); // -> true
	</script>

	<script>
		var iluminador = function()
		{
			this.obj = null;
		}

		iluminador.prototype.encender = function()
		{
			this.obj.style.backgroundColor = "white";
		}

		function cambiar()
		{
			var i = new Iluminador();
			var head = document.getElementById('header-wrapper');
			i.obj = head;
		}

		i.encender();
	</script>
</body>


</html>
